Subject: [tsvwg] Comments on draft-fossati-tsvwg-lola-00

From: <[email-masked]>
Date: Fri, 5 Apr 2019 08:11:10 +0000

Hi Thomas,

I've just read the draft and have a couple of comments.

I agree that it is likely important to think about alignment of IP transport protocols with 5G RTT requirements. If there's a
business case justifying the latter, which I can't judge (and don't want to discuss here). If these RTT requirements need to
be honored, then a reliable low latency transport using ECN as a congestion feedback may be more useful, than state
of the art TCP mechanisms.

I note that the draft-fossati-tsvwg-lola is suggested for standards track. It needs to see some improvement, I think:

There's a lack of 3GPP references. The draft refers to 3GPP standards and terminology, but doesn't yet provide a reference.

The draft states:

   The Mobile network is configured to give UEs a dedicated, low-
   latency, non-GBR, EPS bearer with QCI 7 in addition to the default
   EPS bearer.

   A packet carrying the NQB DSCP shall be routed through the dedicated
   low-latency EPS bearer.  A packet that has no associated NQB marking
   shall be routed through the default EPS bearer.

I've been investigating DiffServ interworking with 3GPP LTE QoS some five to six years ago. I stopped all activities due to the following facts at that time:

  1.  It was virtually impossible to liaise with 3GPP
  2.  The 3GPP 4G standards came with a set of 9 standard QCIs. Support of
any single of them is optional, if I recall correctly, and there was
no interconnection standard related to the standard QCIs.
  3.  There exists a set of private QCIs, and these are many more than the
standard QCIs. I learned that these were largely deployed by the time
I've been working on that subject.
  4.  By that time, DSCPs were ignored by the RAN policy decision points.

I'd like to have a reference to a 3GPP standard confirming support of the above draft-fossati-tsvwg-lola statements (and I frankly don't see a point in
any IETF standard defining 3GPP QCI interworkings without a corresponding 3GPP standard explicitly confirming the IETF sight). If this isn't possible
for the time being, is there a draft-fossati-tsvwg-lola related standardization activity seeing support within 3GPP?

Please note, there's an IR34 by GSMA. It suggests DSCP to QCI mappings in Table 3. Draft-fossati-tsvwg-lola should explain
(and suggest changes?) to the recommendations given there, I think.

Regards,

Ruediger